## Interface

Interface — interface utility/loading/error functions

## Stability Level

Unstable, unless otherwise indicated

## Functions

void | totem_interface_error ()
void | totem_interface_error_blocking ()

## Includes

    #include <totem-interface.h>

## Description

A collection of interface utility functions, for loading interfaces and displaying errors.

## Functions

### totem_interface_error ()

    void
    totem_interface_error (const char *title,
                           const char *reason,
                           GtkWindow *parent);

Display a modal error dialogue with `title` as its primary error text, and `reason` as its secondary text.

#### Parameters

title | the error title |
reason | the error reason (secondary text) |
parent | the error dialogue's parent GtkWindow |

### totem_interface_error_blocking ()

    void
    totem_interface_error_blocking (const char *title,
                                    const char *reason,
                                    GtkWindow *parent);

Display a modal error dialogue like `totem_interface_error()` which blocks until the user has dismissed it.

#### Parameters

title | the error title |
reason | the error reason (secondary text) |
parent | the error dialogue's parent GtkWindow |